<?php

class Cmd_new
{
	/**
	 * インスタンスを取得する。
	 */
	static function getinstance()
	{
		return new Cmd_new;
	}
	
	
	function run()
	{
		$get = KinoWiki::getinstance()->getGET();
		if(isset($get['page'])){
			$dir = getdirname($get['page']);
			$default = $dir == '' ? '' : $dir . '/';
		}
		else{
			$default = '';
		}
		
		$smarty = new CmdSmarty('new');
		$smarty->assign('default', $default);
		$ret['title'] = 'ページ新規作成';
		$ret['body'] = $smarty->fetch('new.tpl.htm');
		return $ret;
	}
}

?>